Package org.eclipse.e4.ui.css.core.impl.dom

# Class CSSPropertyImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.CSSPropertyImpl

All Implemented Interfaces:
  `CSSProperty`

public class CSSPropertyImpl extends Object implements CSSProperty

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String`
`IMPORTANT_IDENTIFIER`

## Constructor Summary

Constructors
Constructor
Description
`CSSPropertyImpl(String name, CSSValue value, boolean important)`
Creates new Property

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Return name of CSS property.
`CSSValue`
`getValue()`
Return `CSSValue` value of CSS property.
`boolean`
`isImportant()`
Return true if CSS property is important and false otherwise.
`static boolean`
`sameName(CSSProperty property, String testName)`
`void`
`setImportant(boolean important)`
`void`
`setValue(CSSValue value)`
Set the `CSSValue` value of CSS property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IMPORTANT_IDENTIFIER

protected static String IMPORTANT_IDENTIFIER

## Constructor Details

### CSSPropertyImpl

public CSSPropertyImpl(String name, CSSValue value, boolean important)
Creates new Property

## Method Details

### sameName

public static boolean sameName(CSSProperty property, String testName)

### getName

public String getName()
Description copied from interface: `CSSProperty`
Return name of CSS property.

Specified by:
  `getName` in interface `CSSProperty`

### getValue

public CSSValue getValue()
Description copied from interface: `CSSProperty`
Return `CSSValue` value of CSS property.

Specified by:
  `getValue` in interface `CSSProperty`

### isImportant

public boolean isImportant()
Description copied from interface: `CSSProperty`
Return true if CSS property is important and false otherwise.

Specified by:
  `isImportant` in interface `CSSProperty`

### setImportant

public void setImportant(boolean important)

Specified by:
  `setImportant` in interface `CSSProperty`

### setValue

public void setValue(CSSValue value)
Description copied from interface: `CSSProperty`
Set the `CSSValue` value of CSS property.

Specified by:
  `setValue` in interface `CSSProperty`